Page MenuHomePhabricator

Refactor private LCATools codebase to split repetitive code into classes and move modules that can be public onto Labs for others to use
Closed, ResolvedPublic

Description

The CA team has a body of tools that I have developed over the past couple years to help us with specific tasks. Much of that code was originally written off the cuff by someone with limited skill (me) and an aim for speed rather then sanity. The smaller tools that were built into it were designed for one specific use but have already become useful for other projects and are likely best hosted on labs where others can use them as desired. The original system made that difficult because it relied on the core of the main system (which contained central logs and user information) but shouldn't be too bad to split off especially at the same time as class refactoring happens to make the code more easily expandable by someone other then me.

While the refactoring for this has already started still a fair bit too do and suffers from too many other, higher priority, projects. I plan to work on it during the hackathon while attending other meetings.

Codebase: https://github.com/jamesryanalexander/lca-tools (and related submodules linked from there).

Event Timeline

Jalexander claimed this task.
Jalexander raised the priority of this task from to Normal.
Jalexander updated the task description. (Show Details)
Jalexander added a subscriber: Jalexander.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 8:31 PM

What is the status of this task, now that Wikimania 2015 is over? Did this hacking project take place and was successfully finished? If yes: Please provide an update and potentially summarize findings / provide a link to anything relevant (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Qgil added a subscriber: Qgil.Sep 16 2015, 10:17 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

Qgil added a comment.Oct 29 2015, 2:46 PM

@Jalexander do you need any help with this task, or should is stay open? Let me know and I won't bother you here again. :)

jrbs moved this task from Backlog to Evaluate on the Trust-and-Safety board.Jun 16 2017, 6:15 PM
jrbs added a subscriber: jrbs.Mar 23 2018, 7:59 PM

What's the status of this now there's the new takedown tool?

Jalexander closed this task as Resolved.Aug 22 2018, 10:07 PM

What's the status of this now there's the new takedown tool?

Yeah, this is done by the redo of the takedown tool earlier (the public portions of it are split on labs now)